#
# spec file for package ghc-dns
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name dns
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.0.10
Release:        lp150.1.8
Summary:        DNS library in Haskell
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-iproute-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-word8-devel
%endif

%description
A thread-safe DNS library for both clients and servers written in pure Haskell.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc Changelog

%changelog
* Tue Nov 29 2016 psimons@suse.com
- Update to version 2.0.10 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 2.0.9 with cabal2obs.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 2.0.8 with cabal2obs.
* Mon Oct 17 2016 psimons@suse.com
- Update to version 2.0.7 with cabal2obs.
* Sat Oct  1 2016 psimons@suse.com
- Update to version 2.0.6 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 2.0.5 revision 0 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 2.0.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.0.3 revision 0 with cabal2obs.
* Sun Jun 19 2016 mimi.vx@gmail.com
- update to 2.0.3
  * Use Safe.toEnumMay to handle unsupported opcodes gracefully
* Sun Apr 17 2016 mimi.vx@gmail.com
- update to 2.0.2
  * Providing a new API: decodeMany.
* Mon Feb 22 2016 psimons@suse.com
- initial version dns-2.0.1
